<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="row">
        <div th:class="${!#strings.isEmpty(data.width) ? null : 'col-md-4'}">
            <select class="form-control" nash-th:name="*{path.fullPath}" th:attr="data-parsley-required=${data.mandatory}? true"></select>
        </div>
    </div>
</div>